summaryrefslogtreecommitdiff
path: root/games-emulation/psemu-padjoy/psemu-padjoy-0.82.ebuild
diff options
context:
space:
mode:
Diffstat (limited to 'games-emulation/psemu-padjoy/psemu-padjoy-0.82.ebuild')
-rw-r--r--games-emulation/psemu-padjoy/psemu-padjoy-0.82.ebuild35
1 files changed, 35 insertions, 0 deletions
diff --git a/games-emulation/psemu-padjoy/psemu-padjoy-0.82.ebuild b/games-emulation/psemu-padjoy/psemu-padjoy-0.82.ebuild
new file mode 100644
index 00000000..398fe06a
--- /dev/null
+++ b/games-emulation/psemu-padjoy/psemu-padjoy-0.82.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2007 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/games-emulation/psemu-padjoy/psemu-padjoy-0.82.ebuild,v 1.7 2007/04/09 17:00:56 nyhm Exp $
+
+inherit games
+
+DESCRIPTION="PSEmu plugin to use joysticks/gamepads in PSX-emulators"
+HOMEPAGE="http://www.ammoq.com/"
+SRC_URI="http://members.chello.at/erich.kitzmueller/ammoq/padJoy${PV//.}.tgz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~ppc x86"
+IUSE=""
+
+DEPEND="=x11-libs/gtk+-1*"
+
+S=${WORKDIR}/padJoy/src
+
+src_unpack() {
+ unpack ${A}
+ cd "${S}"
+ sed -i \
+ -e "s:-O2 -fomit-frame-pointer:${CFLAGS}:" Makefile \
+ || die "sed failed"
+}
+
+src_install() {
+ exeinto "$(games_get_libdir)"/psemu/plugins
+ doexe libpadJoy-* || die "doexe failed"
+ exeinto "$(games_get_libdir)"/psemu/cfg
+ doexe cfgPadJoy || die "doexe cfgPadJoy failed"
+ dodoc ../readme.txt
+ prepgamesdirs
+}